Bump html-proofer from 3.17.4 to 3.18.3

Bumps [html-proofer](https://github.com/gjtorikian/html-proofer) from 3.17.4 to 3.18.3.
- [Release notes](https://github.com/gjtorikian/html-proofer/releases)
- [Commits](https://github.com/gjtorikian/html-proofer/compare/v3.17.4...v3.18.3)
8 jobs for dependabot/bundler/html-proofer-3.18.3 in 3 minutes and 9 seconds (queued for 3 seconds)
Status Name Job ID Coverage
  Build
passed build:latest #207033

00:03:08

passed build:production #207036

00:01:15

passed build:production:review-apps #207035

00:01:20

failed build:production:subpath #207034

00:01:08

 
  Test
passed test:htmlproofer #207037

00:00:41

skipped test:htmlproofer:subpath #207038
 
  Review
passed review #207039
review-apps

00:00:03

passed stop_review #207040
review-apps manual

00:00:00

 
Name Stage Failure
failed
build:production:subpath Build
Successfully installed bundler-2.2.3
1 gem installed
$ bundle install --jobs $(nproc) --without test "${FLAGS[@]}"
[DEPRECATED] The `--without` flag is deprecated because it relies on being remembered across bundler invocations, which bundler will no longer do in future versions. Instead please use `bundle config set --local without 'test'`, and stop using this flag
Fetching gem metadata from https://rubygems.org/.........
listen-3.2.1 requires ruby version >= 2.2.7, ~> 2.2, which is incompatible with
the current version, ruby 3.0.0p0
Cleaning up file based variables
ERROR: Job failed: exit code 1